@charset "UTF-8";

.categoryArea {
	display: flex;
	flex-direction: column;
	text-align: center;
	margin: 0 auto;
	padding: 10px 20px 0;
	position: relative;
	border-top: 1px solid #EFEFEF;
}

.categoryArea > span {
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -50%);
  
  background: #fff;
  padding: 0 14px;
  
  font-size: 16px;
  font-weight: 600;
  color: #333;
}

.category {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	padding-top: 15px;
}

.categoryUnit a {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

.categoryUnit a img {
	width: 40px;
}

.categoryUnit a span {
	font-size: 14px;
	font-weight: 500;
}






/************** main section ******************/
.mainSection {
	margin-top: 50px;
}

.sectionHeader {
	display: flex;
	align-items: center;
}

.mainSection>span, .sectionHeader>span {
	font-weight: 700;
	font-size: 19px;
	
}

.infoWrap{
  position: relative;
  display: inline-flex;
  align-items: center;
  margin-left: 6px;
}

.infoIcon{
  width: 13px;
  height: 13px;
  cursor: pointer;
}

.infoBubble{
  position: absolute;
  bottom: 20px;        /* 아이콘 바로 위 */
  left: -10px;
  z-index: 20;

  display: none;
  padding: 5px 8px;
  border-radius: 999px;
  background: #E5E5E5;
  color: black;
  font-size: 11px;
  line-height: 1.2;
  white-space: nowrap;
}

/* 말풍선 꼬리 */
.infoBubble::after{
  content: "";
  position: absolute;
  bottom: -6px;
  left: 12px;
  width: 0; height: 0;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 6px solid #E5E5E5;
}

.infoBubble.isOpen{
  display: block;
}

.mainSectionUnit {
	margin-top: 10px;
	min-height: 180px;
	background-color: #F8F9FA;
	border-radius: 10px;
	display: flex;
	flex-direction: row;
	gap: 12px;
	padding: 0px 15px;
	justify-content: flex-start;
	align-items: center;
	overflow-x: auto;
	overflow-y: hidden;

	scrollbar-width: none;
}

.mainSectionUnit .card {
	min-width: 200px;
	height: 150px;
	background: #fff;
	border-radius: 8px;
	flex-shrink: 0;
}

.accent{ color:#328889; font-weight:700; }
.accent2{ color:#DC731D; font-weight:700; }

.wrap{
  position: relative;
  margin-top: 10px;
}

.viewport{
  overflow:hidden;
  background:#F8F9FA;
  padding:16px;
}

/* 핵심: grid 3칸 고정 */
.track{
  display:grid;
  grid-auto-flow: column;
  grid-auto-columns: calc((100% - 24px) / 3); /* 3개 정확히 */
  gap:12px;

  transition: transform .25s ease;
}

.track5{
  display:grid;
  grid-auto-flow: column;
  grid-auto-columns: calc((100% - 24px) / 5 - 16); /* 3개 정확히 */
  gap:12px;

  transition: transform .25s ease;
}

/* 카드 */
.popularCard{
  background:#fff;
  border:1px solid #eee;
  border-radius:14px;
  height: 170px;   /* 높이 고정하면 더 안정적 */
}

.popularCard_class{
  background:#fff;
  border:1px solid #eee;
  border-radius:14px;
  height: 210px;   /* 높이 고정하면 더 안정적 */
}

.popularCardInner{
  display:flex;
  height: 100%;
  gap:12px;
  padding:17px;
  text-decoration:none;
  color:inherit;
  align-items: center;
  justify-content: center;
}

.popularCardInner_class{
  display:flex;
  flex-direction: column;
  height: 100%;
  gap: 5px;
  padding:17px;
  text-decoration:none;
  color:inherit;
  align-items: center;
  justify-content: center;
}

.left{
  display:flex;
  flex-direction:column;
  align-items:center;
  gap: 2px;
  padding-right: 12px;
  border-right: 1px solid #eee;
}

.avatar{
  width:60px;
  height:60px;
  border-radius: 50%;
  overflow:hidden;
  background:#f2f2f2;
  margin-bottom: 9px;
}
.avatar img{
  width:100%;
  height:100%;
  object-fit:cover;
  display:block;
}

.badge{
  font-size:13px;
  font-weight:600;
  color:#333;
}

.name{
  font-size:17px;
  font-weight:800;
  max-width: 60px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.rating{
  font-size:12px;
  font-weight:500;
  display:flex;
  align-items:center;
  gap:1px;
}
.star{ color:#f4b400; }
.cnt{ color:#777; font-weight:500; }

.right{
  flex:1;
  display:flex;
  flex-direction:column;
  gap:12px;
  min-width:0;
}

.row{
  display:flex;
  flex-direction: column;
  align-items:flex-start;
  gap:10px;
}

.label{
  font-size:14px;
  font-weight:700;
  color:#222;
}

.tags{
  display:flex;
  flex-wrap: nowrap;
  gap:8px;
  align-items:center;
min-height: 28px;
  overflow:hidden;
  min-width:0;
}

.tag {
	max-width: 70px;
  font-size:14px;
  font-weight:600;
  padding:6px 10px;
  border-radius: 999px;
  background:#f1f7f7;
  color:#2f6f70;
  white-space:nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.arrowBtn{
  position:absolute;
  top:50%;
  transform: translateY(-50%);
  width:42px;
  height:42px;
  border-radius:50%;
  border:1px solid #eee;
  background:#fff;
  font-size:30px;
  cursor:pointer;
  display:flex;
  align-items:center;
  justify-content:center;
  box-shadow: 0 4px 10px rgba(0,0,0,0.12);
  z-index: 1;
}

/* 오른쪽 */
.arrowBtn.right{
  right: -21px;
  padding: 0 0 3px 2px;
}

/* 왼쪽 */
.arrowBtn.left{
  left: -21px;
  padding: 0 0 3px 2px;
}

/* 숨김용 */
.arrowBtn.isHidden{
  display:none;
}

.fieldCard{
  background:#fff;
  border:1px solid #eee;
  border-radius:14px;
  height: 150px;
}

.fieldCard a {
	display: flex;
	height: 100%;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	gap: 10px;
}

.fieldIcon{
  width:65px;
  height:65px;
  object-fit:contain;
  margin-bottom:8px;
}

.fieldName{
  font-size:16px;
  font-weight:700;
  white-space:nowrap;
  overflow:hidden;
  text-overflow:ellipsis;
}

.top {
	width: 100%;
    aspect-ratio: 16 / 9;
	display: flex;
	justify-content: center;
	background: #f3f5f7;
	overflow: hidden;
}

.top img {
	width: 100%;
	height: 100%;
	display: block;
	object-fit:cover;
}

.middle {
	width: 100%;
	display: flex;
	justify-content: space-between;
}
.middle .class_name {
	font-size: 13px;
	font-weight: 500;
	color: 333333;
}

.bottom {
	width: 100%;
}

.bottom .name {
	width: 100%;
	max-width: 100%;
	font-size:17px;
  font-weight:800;
   overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

/********** adBanner ************/
.adBanner {
	margin-top: 50px;
	min-width: 868px;
	/*min-height: 156px;*/
	min-height: 120px;
	background-color: #F8F9FA;
}

.adBanner img {
	width: 868px;
	height: 120px;
	object-fit: cover;
}